Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 3.3.69
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.je
Class PreloadConfig

    java.lang.Object
      com.sleepycat.je.PreloadConfig

All Implemented Interfaces:
  Cloneable

    public class PreloadConfig

extends Object
implements Cloneable

Specifies the attributes of an application invoked preload operation.

Constructor Summary
`PreloadConfig()` Default configuration used if null is passed to `Database.preload`.

Method Summary
`boolean` | `getLoadLNs()` Return the configuration of the preload load LNs option.
`long` | `getMaxBytes()` Return the number of bytes in the cache to stop the preload at.
`long` | `getMaxMillisecs()` Return the number of millisecs to stop the preload after.
`void` | `setLoadLNs(boolean loadLNs)` Configure the preload load LNs option.
`void` | `setMaxBytes(long maxBytes)` Configure the maximum number of bytes to preload.
`void` | `setMaxMillisecs(long maxMillisecs)` Configure the maximum number of milliseconds to execute preload.
`String` | `toString()` Returns the values for each configuration attribute.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PreloadConfig

    public PreloadConfig()

  Default configuration used if null is passed to `Database.preload`.

Method Detail

### setMaxBytes

    public void setMaxBytes(long maxBytes)

  Configure the maximum number of bytes to preload.

  The default is 0 for this class.

  Parameters:
    `maxBytes` - If the maxBytes parameter is non-zero, a preload will stop when the cache contains this number of bytes.

### getMaxBytes

    public long getMaxBytes()

  Return the number of bytes in the cache to stop the preload at.

  This method may be called at any time during the life of the application.

  Returns:
    The number of bytes in the cache to stop the preload at.

### setMaxMillisecs

    public void setMaxMillisecs(long maxMillisecs)

  Configure the maximum number of milliseconds to execute preload.

  The default is 0 for this class.

  Parameters:
    `maxMillisecs` - If the maxMillisecs parameter is non-zero, a preload will stop when this amount of time has passed.

### getMaxMillisecs

    public long getMaxMillisecs()

  Return the number of millisecs to stop the preload after.

  This method may be called at any time during the life of the application.

  Returns:
    The number of millisecs to stop the preload after.

### setLoadLNs

    public void setLoadLNs(boolean loadLNs)

  Configure the preload load LNs option.

  The default is false for this class.

  Parameters:
    `loadLNs` - If set to true, the preload will load Leaf Nodes (LNs) containing the data values.

### getLoadLNs

    public boolean getLoadLNs()

  Return the configuration of the preload load LNs option.

  Returns:
    The configuration of the preload load LNs option.

### toString

    public String toString()

  Returns the values for each configuration attribute.

  Overrides:
    `toString` in class `Object`
  Returns:
    the values for each configuration attribute.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 3.3.69
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004,2008 Oracle. All rights reserved.